View Issue Details

IDProjectCategoryView StatusLast Update
0002212FreeCADBugpublic2015-09-11 18:02
ReporterjobermayrAssigned To 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
PlatformopenSUSEOSOS Version
Product Version 
Target VersionFixed in Version0.16 
Summary0002212: Commit e744114 (-Wall) introduces build error on openSUSE
Description-Wall includes -Wreturn-type and openSUSE doesn't build packages with such errors:
https://pmbs.links2linux.de/package/show/Extra/FreeCAD


I: Program returns random data in a function
E: FreeCAD no-return-in-nonvoid-function /home/abuild/rpmbuild/BUILD/freecad/src/3rdParty/salomesmesh/src/SMESHDS/SMESHDS_GroupOnGeom.cpp:95
E: FreeCAD no-return-in-nonvoid-function /home/abuild/rpmbuild/BUILD/freecad/src/Mod/Robot/App/kdl_cp/chaindynparam.cpp:105
E: FreeCAD no-return-in-nonvoid-function /home/abuild/rpmbuild/BUILD/freecad/src/Mod/Robot/App/kdl_cp/chainidsolver_recursive_newton_euler.cpp:82
E: FreeCAD no-return-in-nonvoid-function /home/abuild/rpmbuild/BUILD/freecad/src/Mod/Robot/App/kdl_cp/chainjnttojacsolver.cpp:46
E: FreeCAD no-return-in-nonvoid-function /home/abuild/rpmbuild/BUILD/freecad/src/Mod/Robot/App/kdl_cp/joint.cpp:109, 142, 176


Such errors can be fixed with a "return NULL".
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2015-08-16 09:25 jobermayr New Issue
2015-08-17 00:00 yorik Changeset attached => FreeCAD Master master e7441149
2015-09-11 18:01 wmayer Changeset attached => FreeCAD Master master 9bceab91
2015-09-11 18:02 wmayer Status new => closed
2015-09-11 18:02 wmayer Resolution open => fixed
2015-09-11 18:02 wmayer Fixed in Version => 0.16